For the complete documentation index, see llms.txt. This page is also available as Markdown.

Remove Liq

Estimate the number of ticks you can get by typing LP.

get
/v1/brc20-swap/quote_remove_liq
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
addressstringRequired
tick0stringRequired
tick1stringRequired
lpstringRequired
Responses
200

Default Response

application/json
codenumberRequired
msgstringRequired
get/v1/brc20-swap/quote_remove_liq
200

Default Response

/remove_liq interface pre-load, get the signature content, gas and byte information.

get
/v1/brc20-swap/pre_remove_liq
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
addressstringRequired
tick0stringRequired
tick1stringRequired
amount0stringRequired

Input amount of tick0

amount1stringRequired

Input amount of tick1

lpstringRequired
slippagestringRequired
tsnumberRequired
Responses
200

Default Response

application/json
codenumberRequired
msgstringRequired
get/v1/brc20-swap/pre_remove_liq
200

Default Response

Remove the liquidity operation

post
/v1/brc20-swap/remove_liq
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
addressstringRequired
tick0stringRequired
tick1stringRequired
lpstringRequired
amount0stringRequired

Input amount of tick0

amount1stringRequired

Input amount of tick1

slippagestringRequired
tsnumberRequired

Timestamp (seconds)

sigstringRequired

User signature

Responses
200

Default Response

application/json
codenumberRequired
msgstringRequired
post/v1/brc20-swap/remove_liq
200

Default Response

Last updated